package io.nexilis.service.data.repositories

import androidx.lifecycle.LiveData
import io.nexilis.service.data.daos.PrefsDao
import io.nexilis.service.data.entities.MainEntity
import io.nexilis.service.data.entities.Prefs
import javax.inject.Inject

class PrefsRepository @Inject constructor(private val dao: PrefsDao) : Repository {

    val all: LiveData<List<Prefs>> = dao.getAll()

    override suspend fun insert(entity: MainEntity) {
        dao.insert(entity as Prefs)
    }
}